package graphs;

public class Vertex {
	int id; 
	
	public Vertex(int id) {
		this.id = id;
	}
	
	public boolean equals(Object other) {
		if (other instanceof Vertex) {
			return this.id == ((Vertex)other).id;
		}
		return false;
	}
	
	public int hashCode() {
		return id; 
	}
	
	public String toString() {
		return new Integer(id).toString();
	}
}
